export const colors: any = {
  cdrLinkOrange: "#ff7115",
  coreYellow: "#fac942",
  helpYellow: "#fff4d5",
  dwcDarkBlue: "#191847",
  dwcLightGray: "#ededf0",
  hazyMint: "#ecf7f8",
  leafcutterElectricBlue: "#4d6aff",
  waterbearElectricPurple: "#332c83",
  waterbearLightSmokePurple: "#eff3f8",
  bumpedPurple: "#212058",
  mutedPurple: "#373669",
  neutralNavy: "#102967",
  beige: "#f6f2f1",
  almostBlack: "#33302f",
  white: "#ffffff",
};

const breakSmall = `@media (maxWidth: 400px)`;

export const typography: any = {
  fontFamily: "Roboto, sans-serif",
  h1: {
    fontFamily: "Playfair Display, serif",
    fontSize: 80,
    lineHeight: "85px",
    textAlign: "center",
    fontWeight: 900,
    margin: 0,
    color: colors.almostBlack,
  },
  h2: {
    fontFamily: "Poppins, sans-serif",
    fontWeight: 700,
    fontSize: 45,
    lineHeight: "58.5px",
    textAlign: "center",
    margin: 0,
    color: colors.almostBlack,
    [breakSmall]: {
      fontSize: 30,
    },
  },
  h3: {
    fontFamily: "Poppins, sans-serif",
    fontWeight: 700,
    fontSize: 30,
    lineHeight: "36px",
    textAlign: "center",
    marginTop: 1,
    marginBottom: 2,
    color: colors.almostBlack,
  },
  h4: {
    fontFamily: "Poppins, sans-serif",
    fontWeight: 700,
    fontSize: 18,
    color: colors.almostBlack,
  },
  h5: {
    fontFamily: "Poppins, sans-serif",
    fontWeight: 700,
    fontSize: 16,
    lineHeight: "24px",
    textTransform: "uppercase",
    textAlign: "center",
    margin: 0,
    color: colors.almostBlack,
  },
  h6: {
    fontFamily: "Poppins, sans-serif",
    fontWeight: 700,
    textAlign: "center",
    color: colors.almostBlack,
  },
  body: {
    fontFamily: "Roboto, sans-serif",
    fontSize: 17,
    lineHeight: "26.35px",
    fontWeight: 400,
    margin: 0,
    marginTop: "15px",
    marginBottom: "15px",
    color: colors.almostBlack,
  },
  bodySmall: {
    fontFamily: "Roboto, sans-serif",
    fontSize: 14,
    fontWeight: 400,
    margin: 0,
    color: colors.almostBlack,
  },
  bodyLarge: {
    fontFamily: "Roboto, sans-serif",
    fontSize: 20,
    fontWeight: 400,
    margin: 0,
    color: colors.almostBlack,
  },
};
